> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Domain Verification

> Removes a domain verification request.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Removes a domain verification request.

Use this method to:

* Cancel pending verifications
* Remove verified domains
* Clean up unused domain records

### Examples

* Delete verification:

  Removes a domain verification request.

  ```yaml theme={null}
  domainVerificationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/DeleteDomainVerification
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/DeleteDomainVerification" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "domainVerificationId": "<domain-verification-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.DeleteDomainVerificationRequest(
      domain_verification_id="<domain-verification-id>",
  )
  response = ona.services.organization.delete_domain_verification(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { DeleteDomainVerificationRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(DeleteDomainVerificationRequestSchema, {
      domainVerificationId: "<domain-verification-id>",
    });
    const response = await ona.services.organization.deleteDomainVerification(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.DeleteDomainVerificationRequest{
  		DomainVerificationId: "<domain-verification-id>",
  	})
  	response, err := ona.Services.Organization.DeleteDomainVerification(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "domainVerificationId": "<domain-verification-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.DeleteDomainVerificationRequest`

| Field                  | Type   | Required | Description                                     |
| ---------------------- | ------ | -------- | ----------------------------------------------- |
| `domainVerificationId` | string | Yes      | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.DeleteDomainVerificationResponse`

This message has no fields.
